All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl::ocl::local_mem Class Reference

A class representing local (shared) OpenCL memory. Typically used as kernel argument. More...

`#include <local_mem.hpp>`

## Public Member Functions

| local_mem (vcl_size_t s)
vcl_size_t | size () const
| Returns size in bytes. More...
void | size (vcl_size_t s)
| Sets the size of the local memory in bytes. More...

## Detailed Description

A class representing local (shared) OpenCL memory. Typically used as kernel argument.

Definition at line 33 of file local_mem.hpp.

## Constructor & Destructor Documentation

viennacl::ocl::local_mem::local_mem | ( | vcl_size_t | s | ) |

inline

Definition at line 36 of file local_mem.hpp.

## Member Function Documentation

vcl_size_t viennacl::ocl::local_mem::size | ( |  | ) | const

inline

Returns size in bytes.

Definition at line 39 of file local_mem.hpp.

void viennacl::ocl::local_mem::size | ( | vcl_size_t | s | ) |

inline

Sets the size of the local memory in bytes.

Definition at line 42 of file local_mem.hpp.

The documentation for this class was generated from the following file:

- viennacl/ocl/local_mem.hpp